<?php
require_once("class.restframework.php");
require_once("class.saas.php");
require_once("class.setting.php");
/////////////////////////////////////////
$restapi = new RestFrameWork();
// only allow get method
$restapi->allow("get");
$saas = new SaaS($restapi);
$settings = new Setting($restapi);
// $response = $restapi->loginUser($username, $password, $companyid);
///$saas->SeedDatabase("karibu_be_2oru1", 13, 12);
// $saas->getAllCurrencies();
//$saas->CreateCompany(7);
//$saas->CreateDBDemo();
// $restapi->createToken(1, 1);
// echo $restapi->Response(array("message" => $saas->generateDBName(), "success" => true));
// // $response = $saas->CreateDatabase("karibu_booking_demo");
//$settings->UpdateSettingByCodeName(1, "PMS_SMTP_PORT", 25);
$response = $saas->_initDefaultSettings(1);
///getSettings(1);
echo $restapi->Response($response);
// "<?php echo pms_getFromTemplate('images/".PMS_SITE_LOGO."); 
